org.keycloak.social.google

## Class GoogleIdentityProvider

- java.lang.Object
- - org.keycloak.broker.provider.AbstractIdentityProvider<C>
  - - org.keycloak.broker.oidc.AbstractOAuth2IdentityProvider<OIDCIdentityProviderConfig>
    - - org.keycloak.broker.oidc.OIDCIdentityProvider
      - - org.keycloak.social.google.GoogleIdentityProvider

- All Implemented Interfaces:
    IdentityProvider<OIDCIdentityProviderConfig>, Provider, SocialIdentityProvider<OIDCIdentityProviderConfig>

      public class GoogleIdentityProvider
      extends OIDCIdentityProvider
      implements SocialIdentityProvider<OIDCIdentityProviderConfig>

  Author:
    Stian Thorgersen

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.keycloak.broker.oidc.OIDCIdentityProvider

      `OIDCIdentityProvider.OIDCEndpoint`

    - ### Nested classes/interfaces inherited from class org.keycloak.broker.oidc.AbstractOAuth2IdentityProvider

      `AbstractOAuth2IdentityProvider.Endpoint`

    - ### Nested classes/interfaces inherited from interface org.keycloak.broker.provider.IdentityProvider

      `IdentityProvider.AuthenticationCallback`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AUTH_URL`
    `static String` | `DEFAULT_SCOPE`
    `static String` | `PROFILE_URL`
    `static String` | `TOKEN_URL`

    - ### Fields inherited from class org.keycloak.broker.oidc.OIDCIdentityProvider

      `FEDERATED_ID_TOKEN, logger, OAUTH2_PARAMETER_PROMPT, SCOPE_OPENID`

    - ### Fields inherited from class org.keycloak.broker.oidc.AbstractOAuth2IdentityProvider

      `FEDERATED_ACCESS_TOKEN, FEDERATED_REFRESH_TOKEN, FEDERATED_TOKEN_EXPIRATION, mapper, OAUTH2_GRANT_TYPE_AUTHORIZATION_CODE, OAUTH2_PARAMETER_ACCESS_TOKEN, OAUTH2_PARAMETER_CLIENT_ID, OAUTH2_PARAMETER_CLIENT_SECRET, OAUTH2_PARAMETER_CODE, OAUTH2_PARAMETER_GRANT_TYPE, OAUTH2_PARAMETER_REDIRECT_URI, OAUTH2_PARAMETER_RESPONSE_TYPE, OAUTH2_PARAMETER_SCOPE, OAUTH2_PARAMETER_STATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GoogleIdentityProvider(OIDCIdentityProviderConfig config)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `getDefaultScopes()`

    - ### Methods inherited from class org.keycloak.broker.oidc.OIDCIdentityProvider

      `callback, createAuthorizationUrl, getExternalIdpKey, getFederatedIdentity, keycloakInitiatedBrowserLogout, verify`

    - ### Methods inherited from class org.keycloak.broker.oidc.AbstractOAuth2IdentityProvider

      `asJsonNode, doGetFederatedIdentity, extractTokenFromResponse, getConfig, getJsonProperty, handleRequest, retrieveToken`

    - ### Methods inherited from class org.keycloak.broker.provider.AbstractIdentityProvider

      `close, export`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.broker.provider.IdentityProvider

      `callback, export, handleRequest, keycloakInitiatedBrowserLogout, retrieveToken`

    - ### Methods inherited from interface org.keycloak.provider.Provider

      `close`

- - ### Field Detail

    - #### AUTH_URL

          public static final String AUTH_URL

      See Also:
        Constant Field Values

    - #### TOKEN_URL

          public static final String TOKEN_URL

      See Also:
        Constant Field Values

    - #### PROFILE_URL

          public static final String PROFILE_URL

      See Also:
        Constant Field Values

    - #### DEFAULT_SCOPE

          public static final String DEFAULT_SCOPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GoogleIdentityProvider

          public GoogleIdentityProvider(OIDCIdentityProviderConfig config)

  - ### Method Detail

    - #### getDefaultScopes

          protected String getDefaultScopes()

      Overrides:
        `getDefaultScopes` in class `OIDCIdentityProvider`

Copyright © 2015. All rights reserved.